org.apache.cassandra.db

## Class ClusteringPrefix.Serializer

- java.lang.Object
- - org.apache.cassandra.db.ClusteringPrefix.Serializer

Enclosing interface:
  ClusteringPrefix

    public static class ClusteringPrefix.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusteringPrefix` `deserialize(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`
`void` `serialize(ClusteringPrefix clustering, DataOutputPlus out, int version, java.util.List<AbstractType<?>> types)`
`long` `serializedSize(ClusteringPrefix clustering, int version, java.util.List<AbstractType<?>> types)`
`void` `skip(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(ClusteringPrefix clustering,
                          DataOutputPlus out,
                          int version,
                          java.util.List<AbstractType<?>> types)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### skip

    public void skip(DataInputPlus in,
                     int version,
                     java.util.List<AbstractType<?>> types)
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public ClusteringPrefix deserialize(DataInputPlus in,
                                        int version,
                                        java.util.List<AbstractType<?>> types)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(ClusteringPrefix clustering,
                               int version,
                               java.util.List<AbstractType<?>> types)